---
sidebar_label: ConnectionTransport
---

# ConnectionTransport interface

#### Signature:

```typescript
export interface ConnectionTransport
```

## Properties

| Property  | Modifiers             | Type                         | Description | Default |
| --------- | --------------------- | ---------------------------- | ----------- | ------- |
| onclose   | <code>optional</code> | () =&gt; void                |             |         |
| onmessage | <code>optional</code> | (message: string) =&gt; void |             |         |

## Methods

| Method                                                   | Description |
| -------------------------------------------------------- | ----------- |
| [close()](./puppeteer.connectiontransport.close.md)      |             |
| [send(message)](./puppeteer.connectiontransport.send.md) |             |
